import request from "@/utils/request";

// 创建出入库申请明细
export function createInoutRequestDetail(data) {
  return request({
    url: "/rtkwms/inout-request-detail/create",
    method: "post",
    data: data,
  });
}

// 更新出入库申请明细
export function updateInoutRequestDetail(data) {
  return request({
    url: "/rtkwms/inout-request-detail/update",
    method: "put",
    data: data,
  });
}

// 删除出入库申请明细
export function deleteInoutRequestDetail(id) {
  return request({
    url: "/rtkwms/inout-request-detail/delete?id=" + id,
    method: "delete",
  });
}

// 获得出入库申请明细
export function getInoutRequestDetail(id) {
  return request({
    url: "/rtkwms/inout-request-detail/get?id=" + id,
    method: "get",
  });
}

// 获得出入库申请明细分页
export function getInoutRequestDetailPage(params) {
  return request({
    url: "/rtkwms/inout-request-detail/page",
    method: "get",
    params,
  });
}
// 导出出入库申请明细 Excel
export function exportInoutRequestDetailExcel(params) {
  return request({
    url: "/rtkwms/inout-request-detail/export-excel",
    method: "get",
    params,
    responseType: "blob",
  });
}
